---
title: Webhook management: COS
slug: apis/webhooks/cos-webhooks/events-formats-cos/webhook-management-cos
description: You can: register, list, view, verify, restart, update, ping or delete webhook registrations via API.
docTags: 
createdAt: 2024-08-08T13:08:14.914Z
---

## Webhook intro

Webhooks return events after an API endpoint is called. The returned `webhook` event contains details relevant to the API call.

Each webhook event has [request and response codes](docId\:kgr9MCuBgnedDuVw70alW).

:::hint{type="info"}
[Get started](docId\:wmg-1Fqwq3bj-D3c3HFfs) with Cross River APIs
:::

**GET calls**

- Add query parameters to filter the response the API returns to general GET calls.
- Use [pagination](docId:6EKvQUYWeVh9x4zxmuKlJ) to control presentation of your results.

## API calls

| Action                                           | API call                             | Description                                                          |
| ------------------------------------------------ | ------------------------------------ | -------------------------------------------------------------------- |
| [Register](docId\:XPfsj7tlk8KwqJr-bqpY3)         | `POST /v1/registrations`             | Registers for webhook event delivery                                 |
| [Registered](docId\:f0dW_hntpF8ojBfKP0d9E)       | `GET /v1/registrations/`             | Returns a list of all webhook registrations and their statuses       |
| [Registered by ID](docId:6gnNzO4tLB34qIFTQw1Gb)  | `GET /v1/registrations/{id}`         | Returns a list of all webhook registrations and their statuses by ID |
| [Restart by ID](docId\:hGk9ybGTXn-XwteVS-WVH)    | `PUT /v1/registrations/{id}/restart` | Restarts a webhook registration by ID                                |
| [Delete by ID](docId\:Gq4YMbOCw0ySZ_3ilP3iA)     | `DELETE /v1/registrations/{id}`      | Deletes a webhook registration by ID                                 |
| [Ping by ID](docId\:R3jh3GYncnxwLJgo8WcTD)       | `PUT /v1/registrations/{id}/ping`    | Calls a webhook registration to check its status                     |
| [Update by ID](docId\:QOW9I0jL578vbEEQnWj9m)     | `PUT /v1/registrations/{id}`         | Updates the details of a webhook registration by ID                  |

